<div class="confirmation-page" fxLayout="row" fxLayout.xs="column" fxLayoutAlign="center" fxLayoutGap="50px">
    <div class="logo-container" fxFlexAlign="center">
        <!-- <app-logo></app-logo> -->
        <img [src]="APP" style="width:120%" alt="">
    </div>
    <mat-card fxFlexAlign="center">
        <mat-card-title>
            Congratulations on Your Successful Login!
        </mat-card-title>
        <mat-card-content>
            <form (keyup.enter)="confirm()">
                <mat-form-field class="confirmation-field">
                    <input matInput placeholder="Current Password" name="currentPassword" [(ngModel)]="currentPassword"
                        type="password" required />
                </mat-form-field>
                <mat-form-field class="confirmation-field">
                    <input matInput placeholder="New Password" name="newPassword" [(ngModel)]="newPassword"
                        type="password" required />
                </mat-form-field>
                <mat-form-field class="confirmation-field">
                    <input matInput placeholder="Confirm Password" name="confirmPassword" [(ngModel)]="confirmPassword"
                        type="password" required />
                </mat-form-field>
            </form>
            <mat-error [textContent]="errorMessage"></mat-error>
        </mat-card-content>
        <mat-card-actions>
            <button mat-raised-button color="primary" class="confirmation-button" (click)="confirm()" type="submit">
                Confirm
            </button>
        </mat-card-actions>
    </mat-card>
</div>